Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1199767 - ec_iatt_combine should comine all the iatt structures of the response
Summary: ec_iatt_combine should comine all the iatt structures of the response
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: disperse
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pranith Kumar K
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-08 03:39 UTC by Pranith Kumar K
Modified: 2017-08-11 09:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-11 09:02:58 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Pranith Kumar K 2015-03-08 03:39:10 UTC
Description of problem:
While reading the code found a bug that ec_iatt_combine is not combining all the iatt structure that are  present in the response of the fop.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Anand Avati 2015-03-08 03:43:27 UTC
REVIEW: http://review.gluster.org/9827 (cluster/ec: Refactor ec-dir-write) posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 2 Anand Avati 2015-03-24 07:16:27 UTC
COMMIT: http://review.gluster.org/9827 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 432355c9c6ca5937745f5d2b87ba391ad4877c92
Author: Pranith Kumar K <pkarampu@redhat.com>
Date:   Fri Mar 6 21:09:10 2015 +0530

    cluster/ec: Refactor ec-dir-write
    
    - Also fixed iatt_combine to go over all the valid iatts
    
    Change-Id: I1d52d705ed0437f602357acde3e479cedb748681
    BUG: 1199767
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/9827
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Xavier Hernandez <xhernandez@datalab.es>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Comment 3 Anand Avati 2015-03-24 09:44:39 UTC
REVIEW: http://review.gluster.org/9981 (cluster/ec: Refactor inode-writev) posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 4 Anand Avati 2015-03-24 09:44:43 UTC
REVIEW: http://review.gluster.org/9982 (cluster/ec: Break cbk-list management into small parts) posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 5 Anand Avati 2015-03-25 16:03:16 UTC
REVIEW: http://review.gluster.org/9981 (cluster/ec: Refactor inode-writev) posted (#2) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 6 Anand Avati 2015-03-25 16:03:19 UTC
REVIEW: http://review.gluster.org/9982 (cluster/ec: Break cbk-list management into small parts) posted (#2) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 7 Anand Avati 2015-03-28 06:09:06 UTC
REVIEW: http://review.gluster.org/9981 (cluster/ec: Refactor inode-writev) posted (#3) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 8 Anand Avati 2015-03-28 06:09:14 UTC
REVIEW: http://review.gluster.org/9982 (cluster/ec: Break cbk-list management into small parts) posted (#3) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 9 Anand Avati 2015-03-29 15:04:35 UTC
REVIEW: http://review.gluster.org/9981 (cluster/ec: Refactor inode-writev) posted (#4) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 10 Anand Avati 2015-03-29 15:04:43 UTC
REVIEW: http://review.gluster.org/9982 (cluster/ec: Break cbk-list management into small parts) posted (#4) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 11 Anand Avati 2015-03-29 15:04:46 UTC
REVIEW: http://review.gluster.org/10036 (cluster/ec: Have same ec_manager_* for [f]set/[f]removexattr) posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 12 Anand Avati 2015-03-31 06:10:26 UTC
REVIEW: http://review.gluster.org/10036 (cluster/ec: Have same ec_manager_* for [f]set/[f]removexattr) posted (#2) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 13 Anand Avati 2015-03-31 06:10:35 UTC
REVIEW: http://review.gluster.org/9981 (cluster/ec: Refactor inode-writev) posted (#5) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 14 Anand Avati 2015-03-31 06:10:38 UTC
REVIEW: http://review.gluster.org/9982 (cluster/ec: Break cbk-list management into small parts) posted (#5) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 15 Anand Avati 2015-04-07 05:35:12 UTC
COMMIT: http://review.gluster.org/9981 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 6e7d9a4e77a764e86bcde4e704ec05a3c84f9c11
Author: Pranith Kumar K <pkarampu@redhat.com>
Date:   Tue Mar 24 12:09:52 2015 +0530

    cluster/ec: Refactor inode-writev
    
    All _cbk() functions in inode-write.c do same things, i.e. store
    op_ret/op_errno, stat structures if they are available and combine them.  Moved
    this common operation into one function ec_inode_write_cbk() and made all the
    other _cbk() functions to use this instead.
    
    Change-Id: I2387b9f2d9598ced6299a26ea1900e9deb9fadc4
    BUG: 1199767
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/9981
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Dan Lambright <dlambrig@redhat.com>

Comment 16 Anand Avati 2015-04-07 14:42:47 UTC
REVIEW: http://review.gluster.org/10036 (cluster/ec: Have same ec_manager_* for [f]set/[f]removexattr) posted (#3) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)

Comment 17 Anand Avati 2015-04-08 08:31:18 UTC
COMMIT: http://review.gluster.org/10036 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit c262430726635ce868558f299ad494734a173774
Author: Pranith Kumar K <pkarampu@redhat.com>
Date:   Sun Mar 29 10:13:45 2015 +0530

    cluster/ec: Have same ec_manager_* for [f]set/[f]removexattr
    
    ec_manager_xxx() function for [f]set/[f]remove xattr is exactly same except the
    reporting part. So moved that to common function and use same
    ec_manager_xattr() function for all these fops.
    
    Change-Id: Iaa57023b800f8d1f3f6a827f4ceba9b0a0337336
    BUG: 1199767
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/10036
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Xavier Hernandez <xhernandez@datalab.es>


Note You need to log in before you can comment on or make changes to this bug.